; $Id: $


; PIC18 Enhanced PWM functions


epwm_init:

	call	settmr2
	call	tmr2on

	; set initial duty cycle 0%
	clrf	CCPR1L				; high 8 bits of duty cycle value
;	bcf		CCP1CON, DC1B1		; LSBits of 10-bit duty cycle value
;	bcf		CCP1CON, DC1B0		; ...
								; (set below...)

;	movlw	B'00000000'			; No auto-restart, no deadtime delay
;	movwf	PWM1CON				; PWM configuration register	; ECCP1DEL

;	movlw	B'00000000'			; No auto-shutdown (but all outputs 0 on shutdown)
;	movwf	ECCPAS				; Auto-shutdown ctrl register

	movlw	B'10001100'			; Half-bridge, (duty cycle LSbits 0), P1A/B/C/D active high
	movwf	CCP1CON				; ECCP control register

	call	epwm_test

	bcf		TRISC, 2			; P1A
;	bcf		TRISD, 5			; P1B

	return



epwm_test:
	movlw	B'00000000'			; 50% duty cycle
	movwf	CCPR1L				; Duty cycle highest 8 of 10 bits
;	movlw	B'00000001'			; Auto-restart off; deadband 1 instruction clock
;	movwf	PWM1CON
	return
