; $Id: $

; Test / debuggering code


show_EP0OUT:
	banksel		BD0OAH
	movf		BD0OAH, W, BANKED	; put EP0 OUT buffer pointer...
	movwf		FSR0H, ACCESS
	movf		BD0OAL, W, BANKED
	movwf		FSR0L, ACCESS		; ...into FSR0
	call		showbuf
	return

show_EP1OUT:
	banksel		BD1OAH
	movf		BD1OAH, W, BANKED	; put EP1 OUT buffer pointer...
	movwf		FSR0H, ACCESS
	movf		BD1OAL, W, BANKED
	movwf		FSR0L, ACCESS		; ...into FSR0
	call		showbuf
	return

show_EP0IN:
	banksel		BD0IAH
	movf		BD0IAH, W, BANKED	; put EP0 IN buffer pointer...
	movwf		FSR0H, ACCESS
	movf		BD0IAL, W, BANKED
	movwf		FSR0L, ACCESS		; ...into FSR0
	call		showbuf
	return

show_EP1IN:
	banksel		BD1IAH
	movf		BD1IAH, W, BANKED	; put EP0 IN buffer pointer...
	movwf		FSR0H, ACCESS
	movf		BD1IAL, W, BANKED
	movwf		FSR0L, ACCESS		; ...into FSR0
	call		showbuf
	return

showbuf:
	movlw	0x08
	movwf	SCRATCH0
showbuf2:
	movf	POSTINC0, w
;	call	SENDCMNDP2
	call	SENDHEX
	decfsz	SCRATCH0
	goto	showbuf2
	call	SENDCMNDP2CR
	return

; ---------------------------------
; Set memory/buffer contents to a known value

setbuf:
	pstrcpy	str_bufdata, EP0_BUFF_IN
	call	show_EP0IN					; sanity check: buffer actually get loaded?
	return


; ---------------------------------
; Dump the USB RAM buffer contents to serial
; FIXME: Writeme

dumpram:

	return



; -----

str_bufdata:
	DW	"MYBUFFER\x00"
